<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="PatternDS" targetNamespace="http://tempuri.org/PatternDS.xsd" xmlns:mstns="http://tempuri.org/PatternDS.xsd" xmlns="http://tempuri.org/PatternDS.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections />
        <Tables />
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="PatternDS" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_DataSetName="PatternDS" msprop:Generator_UserDSName="PatternDS">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="TStyle" msprop:Generator_UserTableName="TStyle" msprop:Generator_RowEvArgName="TStyleRowChangeEvent" msprop:Generator_TableVarName="tableTStyle" msprop:Generator_TablePropName="TStyle" msprop:Generator_RowDeletingName="TStyleRowDeleting" msprop:Generator_RowChangingName="TStyleRowChanging" msprop:Generator_RowDeletedName="TStyleRowDeleted" msprop:Generator_RowEvHandlerName="TStyleRowChangeEventHandler" msprop:Generator_TableClassName="TStyleDataTable" msprop:Generator_RowChangedName="TStyleRowChanged" msprop:Generator_RowClassName="TStyleRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnBACKIMG" msprop:Generator_ColumnPropNameInRow="BACKIMG" msprop:Generator_ColumnPropNameInTable="BACKIMGColumn" msprop:Generator_UserColumnName="BACKIMG" type="xs:string" minOccurs="0" />
              <xs:element name="CANVASX" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnCANVASX" msprop:Generator_ColumnPropNameInRow="CANVASX" msprop:Generator_ColumnPropNameInTable="CANVASXColumn" msprop:Generator_UserColumnName="CANVASX" type="xs:string" minOccurs="0" />
              <xs:element name="CANVASY" msdata:Caption="DESC" msprop:Generator_ColumnVarNameInTable="columnCANVASY" msprop:Generator_ColumnPropNameInRow="CANVASY" msprop:Generator_ColumnPropNameInTable="CANVASYColumn" msprop:Generator_UserColumnName="CANVASY" type="xs:string" minOccurs="0" />
              <xs:element name="DUMMY" msdata:Caption="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnDUMMY" msprop:Generator_ColumnPropNameInRow="DUMMY" msprop:Generator_ColumnPropNameInTable="DUMMYColumn" msprop:Generator_UserColumnName="DUMMY" type="xs:string" minOccurs="0" />
              <xs:element name="DUMMYCNT" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnDUMMYCNT" msprop:Generator_ColumnPropNameInRow="DUMMYCNT" msprop:Generator_ColumnPropNameInTable="DUMMYCNTColumn" msprop:Generator_UserColumnName="DUMMYCNT" type="xs:string" minOccurs="0" />
              <xs:element name="DUMMYTYPE" msdata:Caption="DESC" msprop:Generator_ColumnVarNameInTable="columnDUMMYTYPE" msprop:Generator_ColumnPropNameInRow="DUMMYTYPE" msprop:Generator_ColumnPropNameInTable="DUMMYTYPEColumn" msprop:Generator_UserColumnName="DUMMYTYPE" type="xs:string" minOccurs="0" />
              <xs:element name="LANDSCAPE" msdata:Caption="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnLANDSCAPE" msprop:Generator_ColumnPropNameInRow="LANDSCAPE" msprop:Generator_ColumnPropNameInTable="LANDSCAPEColumn" msprop:Generator_UserColumnName="LANDSCAPE" type="xs:string" minOccurs="0" />
              <xs:element name="MARGINX" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnMARGINX" msprop:Generator_ColumnPropNameInRow="MARGINX" msprop:Generator_ColumnPropNameInTable="MARGINXColumn" msprop:Generator_UserColumnName="MARGINX" type="xs:string" minOccurs="0" />
              <xs:element name="MARGINY" msdata:Caption="DESC" msprop:Generator_ColumnVarNameInTable="columnMARGINY" msprop:Generator_ColumnPropNameInRow="MARGINY" msprop:Generator_ColumnPropNameInTable="MARGINYColumn" msprop:Generator_UserColumnName="MARGINY" type="xs:string" minOccurs="0" />
              <xs:element name="PICSTYLE" msdata:Caption="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnPICSTYLE" msprop:Generator_ColumnPropNameInRow="PICSTYLE" msprop:Generator_ColumnPropNameInTable="PICSTYLEColumn" msprop:Generator_UserColumnName="PICSTYLE" type="xs:string" minOccurs="0" />
              <xs:element name="PRINTFONTOFFSET" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnPRINTFONTOFFSET" msprop:Generator_ColumnPropNameInRow="PRINTFONTOFFSET" msprop:Generator_ColumnPropNameInTable="PRINTFONTOFFSETColumn" msprop:Generator_UserColumnName="PRINTFONTOFFSET" type="xs:string" minOccurs="0" />
              <xs:element name="PRINTBG" msdata:Caption="DESC" msprop:Generator_ColumnVarNameInTable="columnPRINTBG" msprop:Generator_ColumnPropNameInRow="PRINTBG" msprop:Generator_ColumnPropNameInTable="PRINTBGColumn" msprop:Generator_UserColumnName="PRINTBG" type="xs:string" minOccurs="0" />
              <xs:element name="SCALEX" msdata:Caption="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnSCALEX" msprop:Generator_ColumnPropNameInRow="SCALEX" msprop:Generator_ColumnPropNameInTable="SCALEXColumn" msprop:Generator_UserColumnName="SCALEX" type="xs:string" minOccurs="0" />
              <xs:element name="SCALEY" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnSCALEY" msprop:Generator_ColumnPropNameInRow="SCALEY" msprop:Generator_ColumnPropNameInTable="SCALEYColumn" msprop:Generator_UserColumnName="SCALEY" type="xs:string" minOccurs="0" />
              <xs:element name="BAKX" msdata:Caption="DESC" msprop:Generator_ColumnVarNameInTable="columnBAKX" msprop:Generator_ColumnPropNameInRow="BAKX" msprop:Generator_ColumnPropNameInTable="BAKXColumn" msprop:Generator_UserColumnName="BAKX" type="xs:string" minOccurs="0" />
              <xs:element name="BAKY" msdata:Caption="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnBAKY" msprop:Generator_ColumnPropNameInRow="BAKY" msprop:Generator_ColumnPropNameInTable="BAKYColumn" msprop:Generator_UserColumnName="BAKY" type="xs:string" minOccurs="0" />
              <xs:element name="BAKW" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnBAKW" msprop:Generator_ColumnPropNameInRow="BAKW" msprop:Generator_ColumnPropNameInTable="BAKWColumn" msprop:Generator_UserColumnName="BAKW" type="xs:string" minOccurs="0" />
              <xs:element name="BAKH" msdata:Caption="DESC" msprop:Generator_ColumnVarNameInTable="columnBAKH" msprop:Generator_ColumnPropNameInRow="BAKH" msprop:Generator_ColumnPropNameInTable="BAKHColumn" msprop:Generator_UserColumnName="BAKH" type="xs:string" minOccurs="0" />
              <xs:element name="VIEWIMAGE" msdata:Caption="BACKIMG" msprop:Generator_ColumnVarNameInTable="columnVIEWIMAGE" msprop:Generator_ColumnPropNameInRow="VIEWIMAGE" msprop:Generator_ColumnPropNameInTable="VIEWIMAGEColumn" msprop:Generator_UserColumnName="VIEWIMAGE" type="xs:string" minOccurs="0" />
              <xs:element name="FILTER" msdata:Caption="FILE" msprop:Generator_ColumnVarNameInTable="columnFILTER" msprop:Generator_ColumnPropNameInRow="FILTER" msprop:Generator_ColumnPropNameInTable="FILTERColumn" msprop:Generator_UserColumnName="FILTER" type="xs:string" minOccurs="0" />
              <xs:element name="ISXML" msprop:Generator_ColumnVarNameInTable="columnISXML" msprop:Generator_ColumnPropNameInRow="ISXML" msprop:Generator_ColumnPropNameInTable="ISXMLColumn" msprop:Generator_UserColumnName="ISXML" type="xs:boolean" minOccurs="0" />
              <xs:element name="DUMMMYX" msprop:Generator_ColumnVarNameInTable="columnDUMMMYX" msprop:Generator_ColumnPropNameInRow="DUMMMYX" msprop:Generator_ColumnPropNameInTable="DUMMMYXColumn" msprop:Generator_UserColumnName="DUMMMYX" type="xs:string" minOccurs="0" />
              <xs:element name="DUMMMYY" msprop:Generator_ColumnVarNameInTable="columnDUMMMYY" msprop:Generator_ColumnPropNameInRow="DUMMMYY" msprop:Generator_ColumnPropNameInTable="DUMMMYYColumn" msprop:Generator_UserColumnName="DUMMMYY" type="xs:string" minOccurs="0" />
              <xs:element name="QRVISION" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="QRVISION" msprop:Generator_ColumnVarNameInTable="columnQRVISION" msprop:Generator_ColumnPropNameInTable="QRVISIONColumn" msprop:Generator_UserColumnName="QRVISION" type="xs:string" default="" minOccurs="0" />
              <xs:element name="QRENCODING" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="QRENCODING" msprop:Generator_ColumnVarNameInTable="columnQRENCODING" msprop:Generator_ColumnPropNameInTable="QRENCODINGColumn" msprop:Generator_UserColumnName="QRENCODING" type="xs:string" default="" minOccurs="0" />
              <xs:element name="QRLEVEL" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="QRLEVEL" msprop:Generator_ColumnVarNameInTable="columnQRLEVEL" msprop:Generator_ColumnPropNameInTable="QRLEVELColumn" msprop:Generator_UserColumnName="QRLEVEL" type="xs:string" default="" minOccurs="0" />
              <xs:element name="FILE" msprop:Generator_ColumnVarNameInTable="columnFILE" msprop:Generator_ColumnPropNameInRow="FILE" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInTable="FILEColumn" msprop:Generator_UserColumnName="FILE" type="xs:string" default="" minOccurs="0" />
              <xs:element name="DESC" msprop:Generator_ColumnVarNameInTable="columnDESC" msprop:Generator_ColumnPropNameInRow="DESC" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInTable="DESCColumn" msprop:Generator_UserColumnName="DESC" type="xs:string" default="" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="TPattern" msprop:Generator_UserTableName="TPattern" msprop:Generator_RowEvArgName="TPatternRowChangeEvent" msprop:Generator_TableVarName="tableTPattern" msprop:Generator_TablePropName="TPattern" msprop:Generator_RowDeletingName="TPatternRowDeleting" msprop:Generator_RowChangingName="TPatternRowChanging" msprop:Generator_RowDeletedName="TPatternRowDeleted" msprop:Generator_RowEvHandlerName="TPatternRowChangeEventHandler" msprop:Generator_TableClassName="TPatternDataTable" msprop:Generator_RowChangedName="TPatternRowChanged" msprop:Generator_RowClassName="TPatternRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="NAME" msprop:Generator_ColumnVarNameInTable="columnNAME" msprop:Generator_ColumnPropNameInRow="NAME" msprop:Generator_ColumnPropNameInTable="NAMEColumn" msprop:Generator_UserColumnName="NAME" type="xs:string" />
              <xs:element name="Val" msprop:Generator_ColumnVarNameInTable="columnVal" msprop:Generator_ColumnPropNameInRow="Val" msprop:Generator_ColumnPropNameInTable="ValColumn" msprop:Generator_UserColumnName="Val" type="xs:string" />
              <xs:element name="OBJ" msprop:Generator_ColumnVarNameInTable="columnOBJ" msprop:Generator_ColumnPropNameInRow="OBJ" msprop:Generator_ColumnPropNameInTable="OBJColumn" msprop:Generator_UserColumnName="OBJ" type="xs:string" minOccurs="0" />
              <xs:element name="PAT" msprop:Generator_ColumnVarNameInTable="columnPAT" msprop:Generator_ColumnPropNameInRow="PAT" msprop:Generator_ColumnPropNameInTable="PATColumn" msprop:Generator_UserColumnName="PAT" type="xs:string" minOccurs="0" />
              <xs:element name="CAT" msprop:Generator_ColumnVarNameInTable="columnCAT" msprop:Generator_ColumnPropNameInRow="CAT" msprop:Generator_ColumnPropNameInTable="CATColumn" msprop:Generator_UserColumnName="CAT" type="xs:string" minOccurs="0" />
              <xs:element name="PVAL" msprop:Generator_ColumnVarNameInTable="columnPVAL" msprop:Generator_ColumnPropNameInRow="PVAL" msprop:Generator_ColumnPropNameInTable="PVALColumn" msprop:Generator_UserColumnName="PVAL" type="xs:string" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="TCheckBox" msprop:Generator_UserTableName="TCheckBox" msprop:Generator_RowEvArgName="TCheckBoxRowChangeEvent" msprop:Generator_TableVarName="tableTCheckBox" msprop:Generator_TablePropName="TCheckBox" msprop:Generator_RowDeletingName="TCheckBoxRowDeleting" msprop:Generator_RowChangingName="TCheckBoxRowChanging" msprop:Generator_RowDeletedName="TCheckBoxRowDeleted" msprop:Generator_RowEvHandlerName="TCheckBoxRowChangeEventHandler" msprop:Generator_TableClassName="TCheckBoxDataTable" msprop:Generator_RowChangedName="TCheckBoxRowChanged" msprop:Generator_RowClassName="TCheckBoxRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Name" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" type="xs:string" default="" />
              <xs:element name="Val" msprop:Generator_ColumnVarNameInTable="columnVal" msprop:Generator_ColumnPropNameInRow="Val" msprop:Generator_ColumnPropNameInTable="ValColumn" msprop:Generator_UserColumnName="Val" type="xs:boolean" default="true" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:TPattern" />
      <xs:field xpath="mstns:NAME" />
      <xs:field xpath="mstns:Val" />
    </xs:unique>
    <xs:unique name="TCheckBox_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:TCheckBox" />
      <xs:field xpath="mstns:Name" />
    </xs:unique>
  </xs:element>
</xs:schema>